Subject: Lead from Live Chat - Rentacardoha.com
From: David NA <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Date: Wed, 14 Aug 2019 07:45:53 -0400

| | Lead from Live Chat for Al Muftah Rent-a-Car

Name | David NA
E-mail | [email-masked]
Phone Number | (9) 3003 1617
Lead About | Car Leasing
Date of Rental | 08-15-2019
Length of Rental | 6 months

Details of requirement

I am here for a year. But initially I'd like to be able to make the rent agreement for up to six months, at first.

Can I rent using the Qatari driver's permit?

Date | 08-15-2019

| |